﻿using System.IO;

namespace WordExportSample
{
    /// <summary>
    /// Hauptprogramm Klasse
    /// </summary>
    class Program
    {
        /// <summary>
        /// Main Einstiegsfunktion
        /// </summary>
        /// <param name="args">Argumente der Konsolenanwendung</param>
        static void Main(string[] args)
        {
            // Manager aufbauen und Template "test.docx" befüllen
            DocumentServiceManager manager = new DocumentServiceManager();
            using (Stream stream = manager.CreateDocument("test.docx"))
            {
                // Stream in Ausgabe Datei speichern
                using (FileStream fileStream = new FileStream("output.docx", FileMode.Create))
                {
                    stream.CopyTo(fileStream);
                    fileStream.Close();
                }
            }
        }
    }
}
